{{!-- {{log "party-tracker.hbs" this}} --}}
<section class="tab sidebar-tab directory flexcol" id="party" data-tab="party">
    {{!-- <header id="party-sheet">Party Tracker</header> --}}
    <div class="party-tracker directory-list">
        <nav class="party-commands">
            <div class="flexrow">
                <a class="boxed party-longrest" data-tooltip="Long rest for party"><i class="fas fa-campground"></i></a>
                <div class="boxed time-round1" data-tooltip="Advance time by round"><i class="fas fa-stopwatch"></i></div>
                <div class="boxed time-turn1" data-tooltip="Advance time by turn"><i class="fas fa-hourglass-start"></i></div>
                <div class="boxed time-hour1" data-tooltip="Advance time by hour"><i class="fas fa-hourglass-end"></i></div>
                <div class="boxed time-day1" data-tooltip="Advance time by day"><i class="fas fa-sun"></i></div>
                <div class="boxed time-custom" data-tooltip="Advance time..."><i class="fas fa-clock"></i></div>
            </div>                
        </nav>
        <div class="party-members">
            <nav class="flexrow">
                <h2>{{localize "ARS.party.members"}} <a class="member-add" data-tooltip="Add member to party"><i class="fas fa-plus"></i></a></h2>
            </nav>
            <nav class="list flexcol">
                {{!-- {{#each members as |member index|}} --}}
                {{#each members as |member| }}
                    {{!-- {{log "party-tracker.hbs member" member}}                 --}}
                    <li class="entry actor flexrow" data-index="{{index}}" data-id="{{member.id}}">
                        <img class="token-image" src="{{member.img}}" data-tooltip="{{member.name}}" />
                        <span class="member">{{member.name}}</span>
                        <a class="member-longrest control" data-tooltip="Long rest for member"><i class="fas fa-campground"></i></a>
                        <a class="member-remove control" data-tooltip="Remove party member"><i class="fas fa-minus"></i></a>
                    </li>
                {{/each}}                    
            </nav>
        </div>
        <br>

        <div class="party-awards">
            <nav class="flexrow">
                <h2>{{localize "ARS.party.awards"}}</h2>
                <div class="control">
                    <a class="award-create" data-tooltip="Add party experience award"><i class="fas fa-plus"></i></a>
                </div>
                <div class="control">
                    <a class="award-apply" data-tooltip="Grant all queued awards to current party members"><i class="fas fa-trophy"></i></a>
                </div>
            </nav>
            <nav class="list flexcol">
                {{#if awards.length}}
                <div class="award-titles">
                    <li class="flexrow">
                        <div class="award-xp">XP</div>
                        <div >{{localize "ARS.party.description"}}</div>
                        <div style="flex: 0 0 100px">{{localize "ARS.party.destination"}}</div>
                        <div class="control"></div>
                    </li>
                </div>
                {{/if}}
                {{#each awards as |award index|}}
                    <li class="flexrow" data-index="{{index}}">
                        <div>
                            <input class="award-xp" type="number" value="{{award.xp}}" data-dtype="Number" />
                        </div>
                        <div class="text-trunc">
                            <input class="award-text" type="text" value="{{award.text}}" placeholder="Award description"/>
                        </div>
                        <div style="flex: 0 0 100px">
                            <select class="award-destination">
                                {{#select targetId}}
                                    <option value="">{{localize "ARS.party.party"}}</option>
                                    {{#each ../members as |member index|}}
                                        <option value="{{member.id}}">{{member.name}}</option>
                                    {{/each}}
                                {{/select}}
                            </select>
                        </div>
                        <div class="control">
                            <a class="award-delete" data-tooltip="Delete award"><i class="fas fa-minus"></i></a>
                        </div>
                    </li>
                {{/each}}
            </nav>
        </div>

        <div class="party-logs">
            <nav class="flexrow">
                <h3>{{localize "ARS.party.logs"}}</h3>
                <div class="control">
                    <a class="logs-purge" data-tooltip="Purge all log entries"><i class="fas fa-trash"></i></a>
                </div>
            </nav>
            <nav class="list flexcol">
                {{#each logs as |log index|}}
                    <span data-index="{{index}}">
                        <div class="date">[{{log.date}}]</div><div class="log"> {{log.text}}</div>
                    </span>
                {{/each}}
            </nav>
        </div>

    </div>

    <footer class="directory-footer"></footer>
</section>